Previously, we released the 1.5 CSI plugin for the PowerMax array, you can read all about it here but in a nutshell, the 1.5 plugin contained the following features:

  • Added support for OpenShift 4.5/4.6 with RHEL and CoreOS worker nodes
  • Added support for Red Hat Enterprise Linux (RHEL) 7.9
  • Added support for Ubuntu 20.04
  • Added support for Docker EE 3.1
  • Added support for Controller high availability (multiple-controllers)
  • Added support for Topology
  • Added support for mount options
  • Changed driver base image to UBI 8.x

Today, we are releasing the 1.6 version,The CSI Driver for Dell EMC PowerMax v1.6 has the following new features / changes:

  • Added support for Kubernetes v1.20
  • Added support for OpenShift 4.7 with RHEL and CoreOS worker nodes
  • Added support for Red Hat Enterprise Linux (RHEL) 8.3
  • Removed storage classes from helm template

The following describes the support strategy for CSI Driver for Dell EMC PowerMax:

Documentation and Downloads

CSI Driver for Dell EMC PowerMax v1.6 downloads and documentation are available on:

Github:  https://github.com/dell/csi-powermax

Support

The CSI Driver for Dell EMC PowerMax image, which is the built driver code, is available on Dockerhub and is officially supported by Dell EMC.

The source code for CSI Driver for Dell EMC PowerMax available on Github is unsupported and provided solely under the terms of the license attached to the source code.

For clarity, Dell EMC does not provide support for any source code modifications.

For any CSI driver issues, questions or feedback, join the Dell EMC Container community.

Building

This project is a Go module (see golang.org Module information for explanation). The dependencies for this project are in the go.mod file.

To build the source, execute make clean build.

To run unit tests, execute make unit-test.

To build an image, execute make docker.

You can run an integration test on a Linux system by populating the file env.sh with values for your Dell EMC PowerMax systems and then run “make integration-test“.

Runtime Dependencies

Both the Controller and the Node portions of the driver can only be run on nodes which have network connectivity to a “Unisphere for PowerMax” server (which is used by the driver).

If you are using ISCSI, then the Node portion of the driver can only be run on nodes that have the iscsi-initiator-utils package installed.

Driver Installation

Please consult the Installation Guide

As referenced in the guide, installation in a Kubernetes cluster should be done using the scripts within the dell-csi-helm-installer directory. For more detailed information on the scripts, consult the README.md

Using driver

A number of test helm charts and scripts are found in the directory test/helm. Please refer to the section Testing Drivers in the Documentation for more info.

Documentation

For more detailed information on the driver, please refer to Dell Storage Documentation

Leave a Reply